import { OnDestroy } from '@angular/core';
import { FVAbstractControl } from '../../../shared/abstract-control.component';
import { ProcessService } from '../../../../services/process.service';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class FVControlsProgressBarComponent extends FVAbstractControl implements OnDestroy {
    private process;
    private _progress;
    constructor(process: ProcessService);
    get progress(): number;
    ngOnDestroy(): void;
}
